org.bouncycastle.sasn1.cms

## Class EnvelopedDataParser

- java.lang.Object
- - org.bouncycastle.sasn1.cms.EnvelopedDataParser

Deprecated.
use corresponding class in org.bouncycastle.asn1.cms

    public class EnvelopedDataParser
    extends java.lang.Object

     EnvelopedData ::= SEQUENCE {
         version CMSVersion,
         originatorInfo [0] IMPLICIT OriginatorInfo OPTIONAL,
         recipientInfos RecipientInfos,
         encryptedContentInfo EncryptedContentInfo,
         unprotectedAttrs [1] IMPLICIT UnprotectedAttributes OPTIONAL
     }

### Constructor Summary

Constructors
Constructor and Description
`EnvelopedDataParser(Asn1Sequence seq)` Deprecated.

### Method Summary

Methods
`Asn1Set` `getCertificates()` Deprecated.
`Asn1Set` `getCrls()` Deprecated.
`EncryptedContentInfoParser` `getEncryptedContentInfo()` Deprecated.
`Asn1Set` `getRecipientInfos()` Deprecated.
`Asn1Set` `getUnprotectedAttrs()` Deprecated.
`Asn1Integer` `getVersion()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvelopedDataParser

    public EnvelopedDataParser(Asn1Sequence seq)
                        throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

### Method Detail

#### getVersion

    public Asn1Integer getVersion()

Deprecated.

#### getCertificates

    public Asn1Set getCertificates()
                            throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

#### getCrls

    public Asn1Set getCrls()
                    throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

#### getRecipientInfos

    public Asn1Set getRecipientInfos()
                              throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

#### getEncryptedContentInfo

    public EncryptedContentInfoParser getEncryptedContentInfo()
                                                       throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

#### getUnprotectedAttrs

    public Asn1Set getUnprotectedAttrs()
                                throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`